#!/bin/csh

set PREFIX='sad'
set CELL='78.618    78.618    37.062    90.000    90.000    90.000'
set SYMM='P43212'

##
## Converting .phs file to MTZ file
##
f2mtz hklin $PREFIX.phs hklout $PREFIX.mtz > f2mtz.log <<END
cell $CELL
symmetry $SYMM
labout H K L FP FOM PHIB SIGFP
CTYPOUT H H H F W P Q
END

##
## Add useful information for the MTZ file
##
cad hklin1 $PREFIX.mtz hklout ${PREFIX}_cad.mtz > cad.log <<eof-cad
LABIN FILE 1 E1=FP E2=FOM E3=PHIB E4=SIGFP
LABOUT E1=FP E2=FOM E3=PHIB E4=SIGFP
eof-cad

##
## Adding Free-R flags into reflections [5%]
##
uniqueify -p 0.05 ${PREFIX}_cad.mtz ${PREFIX}_free.mtz
